UnknownAnnotationValueException (Java SE 26 & JDK 26)
Description: declaration: module: java.compiler, package: javax.lang.model.element, class: UnknownAnnotationValueException
Keywords: javax.lang.model.element.UnknownAnnotationValueException class

# Class UnknownAnnotationValueException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.lang.model.UnknownEntityException
javax.lang.model.element.UnknownAnnotationValueException

All Implemented Interfaces:
  `Serializable`

public class UnknownAnnotationValueException extends UnknownEntityException
Indicates that an unknown kind of annotation value was encountered. This can occur if the language evolves and new kinds of annotation values can be stored in an annotation. May be thrown by an annotation value visitor to indicate that the visitor was created for a prior version of the language.

Since:
  1.6
See Also:
  - `AnnotationValueVisitor.visitUnknown(AnnotationValue, P)`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnknownAnnotationValueException(AnnotationValue av, Object p)`
  Creates a new `UnknownAnnotationValueException`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getArgument()`
  Returns the additional argument.
  `AnnotationValue`
  `getUnknownAnnotationValue()`
  Returns the unknown annotation value.

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `Throwable`
  `getCause()`
  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `String`
  `getMessage()`
  Returns the detail message string of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this throwable to the specified value.
  `void`
  `printStackTrace()`
  Prints this throwable and its backtrace to the standard error stream.
  `void`
  `printStackTrace(PrintStream s)`
  Prints this throwable and its backtrace to the specified print stream.
  `void`
  `printStackTrace(PrintWriter s)`
  Prints this throwable and its backtrace to the specified print writer.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.
  `String`
  `toString()`
  Returns a short description of this throwable.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### UnknownAnnotationValueException

    public UnknownAnnotationValueException(AnnotationValue av, Object p)
    Creates a new `UnknownAnnotationValueException`. The `p` parameter may be used to pass in an additional argument with information about the context in which the unknown annotation value was encountered; for example, the visit methods of `AnnotationValueVisitor` may pass in their additional parameter.
    Parameters:
      `av` - the unknown annotation value, may be `null`
      `p` - an additional parameter, may be `null`

- ## Method Details

  - ### getUnknownAnnotationValue

    public AnnotationValue getUnknownAnnotationValue()
    Returns the unknown annotation value. The value may be unavailable if this exception has been serialized and then read back in.
    Returns:
      the unknown element, or `null` if unavailable

  - ### getArgument

    public Object getArgument()
    Returns the additional argument.
    Returns:
      the additional argument, or `null` if unavailable